// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/demo": {
            "post": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/activePointsUserCoinFlowList": {
            "post": {
                "description": "活跃积分持有流水(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-活跃积分持有者明细-活跃积分持有流水(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "至少传入 货币类型 ID 用户 UID 页数 每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/activePointsUserCoinList": {
            "post": {
                "description": "活跃积分持有(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-活跃积分持有者明细-活跃积分持有(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/greenEnergyUserCoinFlowList": {
            "post": {
                "description": "绿色能量持有流水(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-绿色能量持有者明细-绿色能量持有流水(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "至少传入 货币类型 ID 用户 UID 页数 每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/greenEnergyUserCoinList": {
            "post": {
                "description": "绿色能量(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-绿色能量持有者明细-绿色能量(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsAdd": {
            "post": {
                "description": "社区分红(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区分红(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分红名称、分红总量",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCommunityDividendsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsWithUserAdd": {
            "post": {
                "description": "社区长列表(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区长列表(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新增社区长 ID、备注",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCommunityDividendsWithUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/exchangeUserPosition": {
            "post": {
                "description": "关系分布图(位置转换)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(位置转换)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要交换的两个位置",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ExchangeUserPositionReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": ""
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/findSubUserRelationshipMap": {
            "get": {
                "description": "关系分布图(获取指定用户上级)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取指定用户上级)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.FindSubUserRelationshipMapResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/findUserRelationshipMap": {
            "get": {
                "description": "关系分布图(获取指定用户下级)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取指定用户下级)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TreeNode"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/getBasic": {
            "get": {
                "description": "公排基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPublicPlatoonBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/index": {
            "post": {
                "description": "免罚用户(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数和行数必填，uid选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetFreePublishUserResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/save": {
            "post": {
                "description": "免罚用户(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数和行数必填，uid选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/relationshipMap": {
            "get": {
                "description": "关系分布图(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "phone",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "uid",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TreeNode"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/updateBasic": {
            "put": {
                "description": "公排基础设置(修改)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置(修改)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "公排设置表单内容",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdatePublicPlatoonBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/userDailyActivityAnalysis": {
            "post": {
                "description": "日活分析",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-日活分析",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "用户 ID、查询开始时间、结束时间",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserDailyActivityAnalysisReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserDailyActivityAnalysisResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md_institutional_management_egg_energy.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_public_platoon.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "md.ActivePointsWalletNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "string",
                    "example": "账户余额"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.AddCommunityDividendsReq": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string",
                    "example": "社区分红名称"
                },
                "nums": {
                    "description": "社区分红数量",
                    "type": "integer"
                }
            }
        },
        "md.AddCommunityDividendsWithUserReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "uid": {
                    "description": "新增社区长用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.AddFreePublishUserReq": {
            "type": "object",
            "properties": {
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.BasicSetting": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.DailyActivityAnalysisTopData": {
            "type": "object",
            "properties": {
                "activity_count": {
                    "description": "子节点活跃天数",
                    "type": "integer"
                },
                "team_activity_user_count": {
                    "description": "子节点活跃人数",
                    "type": "integer"
                },
                "team_user_count": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.DirectionMap": {
            "type": "object",
            "properties": {
                "key": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "md.ExchangeUserPositionReq": {
            "type": "object",
            "properties": {
                "position_1": {
                    "description": "位置1，具体值取返回数据中的 system_id",
                    "type": "integer"
                },
                "position_2": {
                    "description": "位置2，具体值取返回数据中的 system_id",
                    "type": "integer"
                }
            }
        },
        "md.FindSubUserRelationshipMapResp": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "公排设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.BasicSetting"
                        }
                    ]
                },
                "search_uid": {
                    "description": "查找的用户 ID",
                    "type": "string"
                },
                "sub_user": {
                    "description": "上级用户信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SubUser"
                        }
                    ]
                }
            }
        },
        "md.FreePublishUserNode": {
            "type": "object",
            "properties": {
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.GetActivePointsUserCoinFlowListReq": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "direction": {
                    "description": "流水方向:1收入 2支出",
                    "type": "integer"
                },
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetActivePointsUserCoinFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserVirtualCoinFlow"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                },
                "select_data": {
                    "description": "流水类型",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SelectData"
                        }
                    ]
                }
            }
        },
        "md.GetActivePointsUserCoinListReq": {
            "type": "object",
            "properties": {
                "end_coin": {
                    "type": "string",
                    "example": "最大金额"
                },
                "kind": {
                    "description": "虚拟币种类编号",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "单页大小",
                    "type": "integer"
                },
                "start_coin": {
                    "type": "string",
                    "example": "最小金额"
                },
                "uid": {
                    "description": "指定查询用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名称"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.GetActivePointsUserCoinListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "货币类型集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinListNode"
                    }
                },
                "list": {
                    "description": "余额集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ActivePointsWalletNode"
                    }
                },
                "sum_user_amount": {
                    "description": "用户持有总数",
                    "type": "number"
                },
                "total": {
                    "description": "持有该类型用户数",
                    "type": "integer"
                }
            }
        },
        "md.GetFreePublishUserReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "当前页数",
                    "type": "integer"
                },
                "uid": {
                    "description": "筛选的用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetFreePublishUserResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "免罚用户列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FreePublishUserNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                        }
                    ]
                }
            }
        },
        "md.GetGreenEnergyUserCoinFlowListReq": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "direction": {
                    "description": "流水方向:1收入 2支出",
                    "type": "integer"
                },
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetGreenEnergyUserCoinFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserVirtualCoinFlow"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                },
                "select_data": {
                    "description": "流水类型",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SelectData"
                        }
                    ]
                }
            }
        },
        "md.GetGreenEnergyUserCoinListReq": {
            "type": "object",
            "properties": {
                "end_coin": {
                    "type": "string",
                    "example": "最大金额"
                },
                "kind": {
                    "description": "虚拟币种类编号",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "单页大小",
                    "type": "integer"
                },
                "start_coin": {
                    "type": "string",
                    "example": "最小金额"
                },
                "uid": {
                    "description": "指定查询用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名称"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.GetGreenEnergyUserCoinListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "货币类型集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinListNode"
                    }
                },
                "list": {
                    "description": "余额集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ActivePointsWalletNode"
                    }
                },
                "sum_user_amount": {
                    "description": "用户持有总数",
                    "type": "number"
                },
                "total": {
                    "description": "持有该类型用户数",
                    "type": "integer"
                }
            }
        },
        "md.GetPublicPlatoonBasicResp": {
            "type": "object",
            "properties": {
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "username": {
                    "type": "string",
                    "example": "登录账号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.SelectData": {
            "type": "object",
            "properties": {
                "direction": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.DirectionMap"
                    }
                }
            }
        },
        "md.SonUserDailyActivityAnalysisNode": {
            "type": "object",
            "properties": {
                "activity_day_nums": {
                    "description": "活跃子节点活跃天数",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "uid": {
                    "description": "查询用户活跃子节点 ID",
                    "type": "integer"
                }
            }
        },
        "md.SubUser": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string",
                    "example": "头像"
                },
                "level": {
                    "description": "整个系统中的等级",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "pid": {
                    "type": "integer"
                },
                "position": {
                    "description": "以pid1为创始人中网的位置",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.TreeNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string",
                    "example": "头像"
                },
                "level": {
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "pid": {
                    "type": "integer"
                },
                "position": {
                    "type": "integer"
                },
                "son": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TreeNode"
                    }
                },
                "system_id": {
                    "description": "公排网中id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.UpdatePublicPlatoonBasicReq": {
            "type": "object",
            "properties": {
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.UserDailyActivityAnalysisReq": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string",
                    "example": "结束日期"
                },
                "start_date": {
                    "type": "string",
                    "example": "开始日期"
                },
                "uid": {
                    "description": "查询用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.UserDailyActivityAnalysisResp": {
            "type": "object",
            "properties": {
                "son_user_data": {
                    "description": "被查询用户子节点信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SonUserDailyActivityAnalysisNode"
                    }
                },
                "top_data": {
                    "description": "统计信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DailyActivityAnalysisTopData"
                        }
                    ]
                }
            }
        },
        "md.UserVirtualCoinFlow": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "type": "string",
                    "example": "变更后数量"
                },
                "amount": {
                    "type": "string",
                    "example": "变更数量"
                },
                "before_amount": {
                    "type": "string",
                    "example": "变更前数量"
                },
                "coin_id": {
                    "description": "虚拟币 ID",
                    "type": "integer"
                },
                "create_at": {
                    "type": "string",
                    "example": "创建时间"
                },
                "direction": {
                    "description": "方向:1收入 2支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "sys_fee": {
                    "type": "string",
                    "example": "手续费"
                },
                "title": {
                    "type": "string",
                    "example": "标题"
                },
                "transfer_type": {
                    "description": "转账类型",
                    "type": "integer"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "update_at": {
                    "type": "string",
                    "example": "更新时间"
                }
            }
        },
        "md.VirtualCoinListNode": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "kind": {
                    "description": "货币序号",
                    "type": "integer"
                },
                "name": {
                    "type": "string",
                    "example": "货币类型名称"
                }
            }
        }
    },
    "securityDefinitions": {
        "MasterID": {
            "type": "apiKey",
            "name": "MasterID",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:4001",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "蛋蛋星球-管理后台",
	Description:      "管理后台接口文档",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
